Bug 206272 - Forced RPM transaction skips dependency check for installed packages
Forced RPM transaction skips dependency check for installed packages
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Panu Matilainen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-13 09:17 EDT by Kostya Kardamanov
Modified: 2008-03-10 00:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-10 00:30:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
First package spec file (at first step) (249 bytes, text/plain)
2006-09-13 09:19 EDT, Kostya Kardamanov
no flags Details
Second package spec file (at first step) (251 bytes, text/plain)
2006-09-13 09:20 EDT, Kostya Kardamanov
no flags Details

  None (edit)
Description Kostya Kardamanov 2006-09-13 09:17:06 EDT
Description of problem:
Forced RPM transaction skips dependency check for installed packages with the 
same version.

Version-Release number of selected component (if applicable):
# rpm -q fedora-release rpm
fedora-release-4-2
rpm-4.4.1-21

How reproducible:
Every time.

Steps to Reproduce:
1. Create two packages 'first' and 'second' with version 1.0 and release 1

2. Package 'second' provides 'second-special' and package 'first' requires it.

3. Build packages and install them:
# rpmbuild -bb first.spec && rpmbuild -bb second.spec

4. Install packages:
# cd /usr/src/redhat/RPMS/noarch/ ; rpm -Uhv first-1.0-1.noarch.rpm second-1.0-
1.noarch.rpm ; cd -

5. Comment out provides and requires for 'second-special' in both package.

6. Increase 'second' package release to 2. Do NOT increase release for 
package 'first'.

7. Re-build packages:
# rpmbuild -bb first.spec && rpmbuild -bb second.spec

8. Try to upgrade them forcedly:
[root@colinux ~]# cd /usr/src/redhat/RPMS/noarch/ ; rpm -Uhv first-1.0-
1.noarch.rpm second-1.0-2.noarch.rpm --force; cd -

Actual results:
error: Failed dependencies:
        second-special is needed by (installed) first-1.0-1.noarch

Expected results:
The upgrade should be ok because I replace 'first' package forcedly in this 
transaction.
Comment 1 Kostya Kardamanov 2006-09-13 09:19:32 EDT
Created attachment 136150 [details]
First package spec file (at first step)
Comment 2 Kostya Kardamanov 2006-09-13 09:20:38 EDT
Created attachment 136151 [details]
Second package spec file (at first step)
Comment 3 Christian Iseli 2007-01-22 05:53:03 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 4 Red Hat Bugzilla 2007-08-21 01:26:11 EDT
User pnasrat@redhat.com's account has been closed
Comment 5 Panu Matilainen 2007-08-22 02:31:34 EDT
Reassigning to owner after bugzilla made a mess, sorry about the noise...
Comment 6 petrosyan 2008-03-10 00:30:32 EDT
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.